Skip to content

Save S3 external storage configuration

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
namestringrequired

Configuration name

accessKeystring

S3 access key

accessKeySecretstring

S3 access key secret

directorystring

Target directory path in the bucket

s3Bucketstringrequired

S3 bucket name

proxyEnabledboolean

Whether proxy is enabled for S3 access

regionstring

AWS region

isPrivateboolean

Whether the bucket is private

roleArnstring

IAM role ARN to assume

directoryPatternstring

Directory pattern for exports

fileSuffixPatternstring

File suffix pattern for exports

assumeCustomerRoleboolean

Whether to assume the customer IAM role after Sprinklr role assumption

curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/externalStorage/s3 \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "name": "string",
    "accessKey": "string",
    "accessKeySecret": "string",
    "directory": "string",
    "s3Bucket": "string",
    "proxyEnabled": true,
    "region": "string",
    "isPrivate": true,
    "roleArn": "string",
    "directoryPattern": "string",
    "fileSuffixPattern": "string",
    "assumeCustomerRole": true
  }'

Responses

Success

Bodyapplication/json
idstring

External source id

namestring

Configuration name

accessKeystring
accessKeySecretstring
directorystring

Target directory path in the bucket

s3Bucketstring

S3 bucket name

proxyEnabledboolean

Whether proxy is enabled for S3 access

regionstring

AWS region

isPrivateboolean

Whether the bucket is private

roleArnstring

IAM role ARN to assume

directoryPatternstring

Directory pattern for exports

fileSuffixPatternstring

File suffix pattern for exports

assumeCustomerRoleboolean

Whether to assume the customer IAM role after Sprinklr role assumption

ownerUserIdinteger, (int64)

Owner user id from the linked external source

Response
{ "id": "string", "name": "string", "accessKey": "string", "accessKeySecret": "string", "directory": "string", "s3Bucket": "string", "proxyEnabled": true, "region": "string", "isPrivate": true, "roleArn": "string", "directoryPattern": "string", "fileSuffixPattern": "string", "assumeCustomerRole": true, "ownerUserId": 0 }